%define anolis_release 1

Name:           libtpms
Version:        0.9.6
Release:        %{anolis_release}%{?dist}
Summary:        Library providing Trusted Platform Module (TPM) functionality
License:        BSD

URL:            http://github.com/stefanberger/libtpms
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  coreutils
BuildRequires:  gawk
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig
BuildRequires:  sed

%description
A library providing TPM functionality for VMs. Targeted for integration
into Qemu.

%package        devel
Summary:        Include files for libtpms
Requires:       %{name} = %{version}-%{release}

%description   devel
Libtpms header files and documentation.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%autosetup

%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static --with-tpm2 --with-openssl
%make_build

%install
%make_install

%generate_compatibility_deps

%check
make check

%files
%license LICENSE
%{_libdir}/%{name}.so.0{,.*}
%dir %{abidir}
%{abidir}/*.dump

%files devel
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/TPM*

%files doc
%doc README CHANGES

%changelog
* Sat Mar 18 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.9.6-1
- init from upstream
